﻿@page "/admin"
@inherits AdminPageViewModel

@if (!IsAdmin)
{
  <p>Этот раздел сайта только для администрации</p>
}
else
{
  if (Users != null)
  {
    <div class="container-fluid">
      <div class="row">
        <div class="col-4">
          <table class="table table-striped table-hover">
            <thead class="thead-dark">
              <tr>
                <th scope="col">Имя</th>
              </tr>
            </thead>
            <tbody>
              @foreach (var user in Users)
              {
                <tr class="hand-hover"
                    onclick="@(async () => await SelectUserAsync(user))">
                  <td>@user.UserName</td>
                </tr>
              }
            </tbody>
          </table>
        </div>
        <div class="col-6">
          @if (SelectedUser != null)
          {
            <div class="h4 alert alert-primary">@SelectedUser.UserName</div>
            @if (SelectedUserRoles != null)
            {
              <table class="table table-striped table-hover">
                <thead class="thead-dark">
                  <tr>
                    <th scope="col">Роль</th>
                    <th scope="col">Присвоена?</th>
                  </tr>
                </thead>
                <tbody>
                  @foreach (var role in SelectedUserRoles)
                  {
                    <tr>
                      <td>@role.RoleName</td>
                      <td>
                        <label>
                          @role.RoleName
                          <input type="checkbox"
                                 bind="@role.IsAssigned" />
                        </label>
                      </td>
                    </tr>
                  }
                </tbody>
              </table>
              <button class="btn btn-primary" 
                      onclick="@SaveRolesAsync">Применить</button>
            }
          }
        </div>
      </div>
    </div>
  }
}
